Package org.apache.commons.math3.analysis.function

# Class Pow

java.lang.Object
org.apache.commons.math3.analysis.function.Pow

All Implemented Interfaces:
  `BivariateFunction`

public class Pow extends Object implements BivariateFunction
Power function.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`Pow()`

## Method Summary

Modifier and Type
Method
Description
`double`
`value(double x, double y)`
Compute the value for the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pow

public Pow()

## Method Details

### value

public double value(double x, double y)
Compute the value for the function.

Specified by:
  `value` in interface `BivariateFunction`
Parameters:
  `x` - Abscissa for which the function value should be computed.
  `y` - Ordinate for which the function value should be computed.
Returns:
  the value.